Subject: RE: [ipcdn] Comments on CableHome MIB drafts

From: "Doug Jones" <[email-masked]>
Date: Tue, 4 Feb 2003 19:39:50 -0500

greg,

thank-you very much for these comments.

they have been reflected in the updated I-Ds:

- draft-jones-cable-gateway-addressing-01
http://www.ietf.org/internet-drafts/draft-jones-cable-gateway-addressing-mib-01.txt

- draft-jones-cable-gateway-config-mib-01
http://www.ietf.org/internet-drafts/draft-jones-cable-gateway-config-mib-01.txt

- draft-jones-cable-gateway-device-mib-01
http://www.ietf.org/internet-drafts/draft-jones-cable-gateway-device-mib-01.txt

- draft-jones-cable-gateway-security-mib-01
http://www.ietf.org/internet-drafts/draft-jones-cable-gateway-security-mib-01.txt

- draft-jones-cable-gateway-tools-mib-01
http://www.ietf.org/internet-drafts/draft-jones-cable-gateway-tools-mib-01.txt

further analysis, comments, and reactions are appreciated.

thanks,

doug

-----Original Message-----
From: Nakanishi Greg-MGI8179 [mailto:[email-masked]]
Sent: Monday, December 16, 2002 9:41 AM
To: [email-masked]'
Subject: [ipcdn] Comments on CableHome MIB drafts

My comments on the CableHome draft documents ---

- draft-jones-cable-gateway-addressing-00
- draft-jones-cable-gateway-config-mib-00
- draft-jones-cable-gateway-device-mib-00
- draft-jones-cable-gateway-security-mib-00
- draft-jones-cable-gateway-tools-mib-00

greg

----

General

1) MIB Boiler Plate - I don't know if this is an issue or not, but the reference format used differs from the boiler plate defined in http://www.ops.ietf.org/mib-boilerplate.html.  E.g. The draft uses [1] whereas the boiler plate uses [RFC2571].

2) References - Missing RFC 2578 and RFC 2570 as required by http://www.ops.ietf.org/mib-boilerplate.html.

3) The MIBs are currently rooted under the CableLabs branch.  Prior to the draft becoming an RFC, I would think it would need to be rooted under the IETF.

4) Glossary - Cable Gateway Device : The definition in the Gateway Address MIB and Gateway Tools MIB doesn't include the phrase "...using techniques described in [RFC3280]" in the last sentence.  It probably should be added for consistency.  Also, references are made to [RFC2131], [RFC1350], and [RFC3280].  These references should be added to the references section.

Cable Gateway Address Mapping MIB

1) Overview section.  Uses the term "CableHome Residential Gateway".  Does this term means the same thing as "Cable Gateway device" as defined in the glossary? Should use consistent terminology.  Perhaps "Cable Gateway device" in the glossary should be renamed to "CableHome Residential Gateway"?

2) Security Considerations - Need to add the following:

... Even if the network itself is secure (for example by using IPSec), even then, there is no control as to who on the secure network is allowed to access and GET/SET (read/change/create/delete) the objects in this MIB. It is recommended that the implementers consider the security features as provided by the SNMPv3 framework. Specifically, the use of the User-based Security Model RFC 2574 [RFC2574] and the View- based Access Control Model RFC 2575 [RFC2575] is recommended. It is then a customer/user responsibility to ensure that the SNMP entity giving access to an instance of this MIB, is properly configured to give access to the objects only to those principals (users) that have legitimate rights to indeed GET or SET (change/create/delete) them. 

Cable Gateway Configuration MIB

1) Convention Used in This Document section : Reference to RFC-2119[2] doesn't match what is listed in the references section.

2) Section 3.2.1, 3rd paragraph - "See section 8...".  This needs to be updated to something like "See section 8 of the CableHome specification [16]...".

3) Section 3.2.1, last paragraph, second sentence: typo - "alsoexchange" -> "also exchance"; "behalfof" -> "behalf of".

4) Section 3.2.1, last paragraph, 3rd sentence: typo - "DHCPoptions" -> "DHCP options".

5) Section 3.2.1.1, second bullet: typo - "theWAN" -> "theWAN".

6) Section 3.2.1.1, 3rd bullet: The term "CAT" is not defined.

7) Section 3.2.1.1, 3rd bullet, 3rd sentence: typo - "occur if he limit" -> "occur if the limit".

8)  Section 3.2.1.1, last bullet - references are made to cabhCapPrimaryMode and cabhPsDevProvState.  References should be made to where these MIB objects are documented.

9) Section 3.2.1.1, paragraph after the bullet list: Reference made to figure 7-2.  Should it be "figure 7-2 of CableHome specification" ?

10) Section 3.2.1.1, 3rd paragraph after the bullet list.  The term 'CMP' is not defined.

11) Section 3.2.1.1, last paragraph.  Typo - Need period at end of sentence.

12) Section after section 3.2.1.1 is also labelled 3.2.1.1.  

13) 2nd Section 3.2.1.1, first bullet item : typo "WANman" -> "WAN-man"

14) 2nd Section 3.2.1.1, 4th bullet item : typo "theWAN-man" -> "the WAN-man"

15) section 3.2.1.1.2, first bullet : Reference made to section 8.3.2.  Should it be "8.3.2 of CableHome specification" ?

16) section 3.2.1.1.2, page 15, 1st paragraph : typo - "WAN- Data" -> WAN-Data", "subsequentWAN-Data" -> "subsequent WAN-Data", "requestedWAN-Data" -> "requested WAN-Data"

17) section 4 MIB definition :
- need space between cabhCdpServerNetworkNumberType and OBJECT-TYPE
- need space between cabhCdpServerVendorSpecific and OBJECT-TYPE
- need space between cabhCdpServerDhcpAddress and OBJECT-TYPE

18) Section 7, first paragraph : "In addition, manipulation of the cabhPsDevConfigFile and cabhPsDevConfigHash...".  These are objects in a different MIB.  Is this a relevent Security Consideration for this document?

19) Section 7, 2nd bullet item : "The device may be reset by setting cabhPsDevResetNow...".  Same comment as above.

Cable Gateway Remote Diagnostic Tools MIB

1) References : Missing required boiler plate references for MIB documents.

2) Security considerations: same comment as Cable Gateway Address Mapping MIB, item 2

3) Pagination : In the MIB definition section there are no paginations.

CableHome Residential Gateway Device Security MIB

1) Title : The title of the other CableHome MIBs use the term "Cable Gateway" whereas this one uses the term "CableHome Residential Gateway Device".  All the MIB document titles should probably use the same term.

2) Abstract : The mailing list addresses is given as "[email-masked]".  Is this correct?  The other CableHome MIB documents give an address of "[email-masked]".

3) Definitions : Note that X509Certificate object is being imported from the BPI2 MIB which is currently still a draft.  

4) X509Certificate object REFERENCE : Should update the reference to -I02.

Cable Gateway Device MIB

1) Section 3.2.2, 4th paragraph : "7.3.3.3.1 in [16]" -> "7.3.3.3.1 of [16]"

2) Section 3.2.2, 5th paragraph, 2nd sentence : Suggest rewording to - "The PsDevProv group also includes statistics variables for keeping track of the number of Type-Length-Value (TLV) objects passed in the configuration file that the PS processed and the number that were rejected."

3) Section 3.2.3 : Makes a number of references not in the references section.
_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn
_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn